customers
Update a customer
PATCH
/
api
/
customers
/
{id}
Update a customer
curl --request PATCH \
--url https://api.fluid.app/api/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"account_id": "<string>",
"external_id": "<string>",
"notes": "<string>",
"metadata": {},
"default_address_attributes": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"country_code": "<string>",
"name": "<string>",
"default": true
},
"customer_notes_attributes": [
{
"note": "<string>"
}
],
"metafields_attributes": [
{
"id": 123,
"namespace": "<string>",
"key": "<string>",
"value": "<unknown>",
"value_type": "<string>",
"_destroy": true
}
]
}
'import requests
url = "https://api.fluid.app/api/customers/{id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"account_id": "<string>",
"external_id": "<string>",
"notes": "<string>",
"metadata": {},
"default_address_attributes": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"country_code": "<string>",
"name": "<string>",
"default": True
},
"customer_notes_attributes": [{ "note": "<string>" }],
"metafields_attributes": [
{
"id": 123,
"namespace": "<string>",
"key": "<string>",
"value": "<unknown>",
"value_type": "<string>",
"_destroy": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: '<string>',
phone: '<string>',
account_id: '<string>',
external_id: '<string>',
notes: '<string>',
metadata: {},
default_address_attributes: {
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country_id: 123,
country_code: '<string>',
name: '<string>',
default: true
},
customer_notes_attributes: [{note: '<string>'}],
metafields_attributes: [
{
id: 123,
namespace: '<string>',
key: '<string>',
value: '<unknown>',
value_type: '<string>',
_destroy: true
}
]
})
};
fetch('https://api.fluid.app/api/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Customer's Id
Body
application/json
Request payload
First name of customer
Last name of customer
Email of customer
Phone number of customer
A unique Account Id for customer. If empty, one is generated by the system
A unique External Id for customer that is used to identify them in external systems
Note for customer
A JSON object that can store any custom data structure. When provided, replaces all existing metadata data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Metafields for custom data storage
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Update a customer
